[Overview][Types][Classes][Variables][Index] | Reference for unit 'LCLClasses' (#lcl)

# TLCLReferenceComponent.Destroy

Destructor for the class instance.

## Declaration

Source position: lclclasses.pp line 85

`public destructor TLCLReferenceComponent.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy calls DestroyReference to release an assigned internal reference for the widgetset class. Destroy calls the inherited destructor prior to exiting from the method.

## See also

TLCLReferenceComponent.DestroyReference |  | Destroys the reference object.